List clients
Clients, searchable by name, email, short name or tax number.
GET https://cotlet.dev/api/v1/fakturownia/clients
read
Returns clients from your Fakturownia client list. Pass one search field to find a buyer before you invoice them. Without a filter it returns the first page of all clients.
Parameters
| Name | Type | Description |
|---|---|---|
| name string | string | Client name. |
| tax_no string | string | Tax number (NIP). |
| email string | string | Client email address. |
| shortcut string | string | Short name of the client. |
| page integer | integer | Page number. Default: 1. |
Request
curl https://cotlet.dev/api/v1/fakturownia/clients \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("fakturownia", "list_clients") const result = await cotlet.call('fakturownia', 'list_clients'); cotlet call fakturownia list_clients Example response
{
"clients": [
{
"id": 4817,
"name": "Blue Fern Studio",
"tax_no": "1234563218",
"email": "billing@bluefern.example",
"city": "Gdansk",
"country": "PL",
"company": true
}
],
"page": 1
}